1. Midjourney
梧柏API使用文档
WHBAI · Midjourney
  • WHBAI · Google Gemini 原生 (v1alpha)
  • WHBAI · Google Gemini 原生
  • WHBAI · Ideogram
  • WHBAI · Ideogram V3
  • WHBAI · Midjourney
  • WHBAI · Jimeng
  • WHBAI · Kling
  • WHBAI · Luma
  • WHBAI · Luma V1
  • WHBAI · Omni 视频
  • WHBAI · Pixverse
  • WHBAI · Runway
  • WHBAI · Sora2
  • WHBAI · 统一视频 VEO
  • WHBAI · Vidu
  • WHBAI · 豆包 Volc
  • WHBAI · Suno
  • WHBAI · Playground
  • WHBAI · 账号与令牌
  • WHBAI · 阿里 Pix
  • WHBAI · 阿里百炼
  • WHBAI · 私域人像
  • WHBAI · Fal.ai
  • WHBAI · Replicate
  • WHBAI · 腾讯云 VOD
  • WHBAI · MiniMax
  • WHBAI · 支持模型列表
  • WHBAI · Grok Imagine
  • WHBAI · Seedance 2.0
  • WHBAI · TypeSafe
  • WHBAI · OpenAI 兼容
  • Midjourney
    • 执行Action动作
      POST
    • 上传图片
      POST
    • 提交Imagine任务
      POST
    • 根据任务ID 查询任务状态
      GET
    • 根据ID列表查询任务
      POST
    • 获取任务图片的seed
      GET
    • 提交Blend任务
      POST
    • 提交Describe任务
      POST
    • 提交Modal
      POST
    • 提交 Shorten 任务
      POST
    • 提交 Change(Pan / Zoom)任务
      POST
    • 图像局部编辑(Edits)
      POST
    • 人脸替换(InsightFace Swap)
      POST
  • mj
    • 提交shorten 任务
      GET
    • 图生视频(增强版功能)
      POST
    • 文本指令变换(content)
      POST
  • 数据模型
    • MjSampleRequest
    • MjSampleResponse
    • PostMjSubmitImagineRequest
    • GetMjTaskFetchResponse
    • GetMjTaskIdImageSeedResponse
    • PostMjSubmitBlendRequest
    • PostMjSubmitBlendResponse
    • PostMjSubmitDescribeRequest
    • PostMjSubmitDescribeResponse
    • PostMjSubmitModalRequest
    • PostMjSubmitModalResponse
    • MjSubmitResponse
    • MjTask
    • PostMjTaskListByConditionResponse
    • PostMjSubmitShortenRequest
    • PostMjSubmitChangeRequest
    • PostMjSubmitEditsRequest
    • PostMjInsightFaceSwapRequest
    • NewApiError
  1. Midjourney

根据ID列表查询任务

POST
/mj/task/list-by-condition
根据 ID 列表批量查询多个任务状态。

网站中的模型与调用示例#

根据ID列表查询任务#

请求参数#

{
  "contentType": "application/json",
  "properties": {
    "ids": {
      "items": {
        "type": "string"
      },
      "type": "array"
    }
  },
  "required": [
    "ids"
  ]
}

请求示例 · 示例 1#

{
  "ids": [
    "1743326750223591"
  ]
}

响应示例 · 成功示例#

{
  "action": "IMAGINE",
  "botType": "",
  "buttons": [
    {
      "customId": "MJ::JOB::upsample::1::3785da15-4f70-4034-9128-f3ff1ac634fa",
      "emoji": "",
      "label": "U1",
      "style": 2,
      "type": 2
    },
    {
      "customId": "MJ::JOB::upsample::2::3785da15-4f70-4034-9128-f3ff1ac634fa",
      "emoji": "",
      "label": "U2",
      "style": 2,
      "type": 2
    },
    {
      "customId": "MJ::JOB::upsample::3::3785da15-4f70-4034-9128-f3ff1ac634fa",
      "emoji": "",
      "label": "U3",
      "style": 2,
      "type": 2
    },
    {
      "customId": "MJ::JOB::upsample::4::3785da15-4f70-4034-9128-f3ff1ac634fa",
      "emoji": "",
      "label": "U4",
      "style": 2,
      "type": 2
    },
    {
      "customId": "MJ::JOB::reroll::0::3785da15-4f70-4034-9128-f3ff1ac634fa::SOLO",
      "emoji": "🔄",
      "label": "",
      "style": 2,
      "type": 2
    },
    {
      "customId": "MJ::JOB::variation::1::3785da15-4f70-4034-9128-f3ff1ac634fa",
      "emoji": "",
      "label": "V1",
      "style": 2,
      "type": 2
    },
    {
      "customId": "MJ::JOB::variation::2::3785da15-4f70-4034-9128-f3ff1ac634fa",
      "emoji": "",
      "label": "V2",
      "style": 2,
      "type": 2
    },
    {
      "customId": "MJ::JOB::variation::3::3785da15-4f70-4034-9128-f3ff1ac634fa",
      "emoji": "",
      "label": "V3",
      "style": 2,
      "type": 2
    },
    {
      "customId": "MJ::JOB::variation::4::3785da15-4f70-4034-9128-f3ff1ac634fa",
      "emoji": "",
      "label": "V4",
      "style": 2,
      "type": 2
    }
  ],
  "customId": "",
  "description": "Submit success",
  "failReason": "",
  "finishTime": 1730621855817,
  "id": "1730621826053455",
  "imageUrl": "https://cdnmjp.oneabc.org/attachments/1300842274347028520/1302547211321741343/kennedyhernandez46715_74108_pig_3785da15-4f70-4034-9128-f3ff1ac634fa.png?ex=6728831f&is=6727319f&hm=f6d701914d608e4da9298d2290b3616317264a70635fbf08a37ca6c1bb671b50&",
  "maskBase64": "",
  "progress": "100%",
  "prompt": "pig --v 6.1",
  "promptEn": "pig --v 6.1",
  "properties": {
    "finalPrompt": "pig --v 6.1",
    "finalZhPrompt": ""
  },
  "startTime": 1730621828024,
  "state": "",
  "status": "SUCCESS",
  "submitTime": 1730621826053
}

响应示例 · 成功示例#

[
  {
    "action": "IMAGINE",
    "botType": "",
    "buttons": [
      {
        "customId": "MJ::JOB::upsample::1::3785da15-4f70-4034-9128-f3ff1ac634fa",
        "emoji": "",
        "label": "U1",
        "style": 2,
        "type": 2
      },
      {
        "customId": "MJ::JOB::upsample::2::3785da15-4f70-4034-9128-f3ff1ac634fa",
        "emoji": "",
        "label": "U2",
        "style": 2,
        "type": 2
      },
      {
        "customId": "MJ::JOB::upsample::3::3785da15-4f70-4034-9128-f3ff1ac634fa",
        "emoji": "",
        "label": "U3",
        "style": 2,
        "type": 2
      },
      {
        "customId": "MJ::JOB::upsample::4::3785da15-4f70-4034-9128-f3ff1ac634fa",
        "emoji": "",
        "label": "U4",
        "style": 2,
        "type": 2
      },
      {
        "customId": "MJ::JOB::reroll::0::3785da15-4f70-4034-9128-f3ff1ac634fa::SOLO",
        "emoji": "🔄",
        "label": "",
        "style": 2,
        "type": 2
      },
      {
        "customId": "MJ::JOB::variation::1::3785da15-4f70-4034-9128-f3ff1ac634fa",
        "emoji": "",
        "label": "V1",
        "style": 2,
        "type": 2
      },
      {
        "customId": "MJ::JOB::variation::2::3785da15-4f70-4034-9128-f3ff1ac634fa",
        "emoji": "",
        "label": "V2",
        "style": 2,
        "type": 2
      },
      {
        "customId": "MJ::JOB::variation::3::3785da15-4f70-4034-9128-f3ff1ac634fa",
        "emoji": "",
        "label": "V3",
        "style": 2,
        "type": 2
      },
      {
        "customId": "MJ::JOB::variation::4::3785da15-4f70-4034-9128-f3ff1ac634fa",
        "emoji": "",
        "label": "V4",
        "style": 2,
        "type": 2
      }
    ],
    "customId": "",
    "description": "Submit success",
    "failReason": "",
    "finishTime": 1730621855817,
    "id": "1730621826053455",
    "imageUrl": "https://cdnmjp.oneabc.org/attachments/1300842274347028520/1302547211321741343/kennedyhernandez46715_74108_pig_3785da15-4f70-4034-9128-f3ff1ac634fa.png?ex=6728831f&is=6727319f&hm=f6d701914d608e4da9298d2290b3616317264a70635fbf08a37ca6c1bb671b50&",
    "maskBase64": "",
    "progress": "100%",
    "prompt": "pig --v 6.1",
    "promptEn": "pig --v 6.1",
    "properties": {
      "finalPrompt": "pig --v 6.1",
      "finalZhPrompt": ""
    },
    "startTime": 1730621828024,
    "state": "",
    "status": "SUCCESS",
    "submitTime": 1730621826053
  }
]

请求参数

Authorization
Bearer Token
在 Header 添加参数
Authorization
,其值为在 Bearer 之后拼接 Token
示例:
Authorization: Bearer ********************
or
Header 参数

Body 参数application/json

示例
{
    "ids": [
        "1743326750223591"
    ]
}

请求示例代码

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
请求示例请求示例
Shell
JavaScript
Java
Swift
cURL
curl --location '/mj/task/list-by-condition' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
    "ids": [
        "1743326750223591"
    ]
}'

返回响应

🟢200成功
application/json
成功
Bodyapplication/json

示例
{
    "code": 0,
    "data": [
        {
            "id": "string",
            "status": "NOT_START",
            "prompt": "string",
            "promptEn": "string",
            "description": "string",
            "state": "string",
            "submitTime": 0,
            "startTime": 0,
            "finishTime": 0,
            "imageUrl": "string",
            "action": "string",
            "progress": "string",
            "failReason": "string",
            "buttons": [
                {
                    "customId": "string",
                    "emoji": "string",
                    "label": "string",
                    "type": 0,
                    "style": 0
                }
            ]
        }
    ]
}
🟠400请求有误
🟠401没有权限
修改于 2026-10-24 18:33:12
上一页
根据任务ID 查询任务状态
下一页
获取任务图片的seed
Built with